Bug 140928 - [PATCH] Quota system call for 32bit apps on AMD64 is not mapped
Summary: [PATCH] Quota system call for 32bit apps on AMD64 is not mapped
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Martuccelli
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-26 15:57 UTC by Helmut Tschemernjak
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:13:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Helmut Tschemernjak 2004-11-26 15:57:54 UTC
Description of problem:
Quota system call for 32bit apps on AMD64 is not mapped.
Our patch will enable the quota support for the 32 API. (at end)

Please note: your include file sys/quota.h is based on the old API
and needs to be updated to match your kernel.

Version-Release number of selected component (if applicable):

How reproducible:
use the quotactl system call from a 32bit API

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
1) ---- /usr/src/linux-2.4/arch/x86_64/ia32/ia32entry.S -----

--- ia32entry.S.SAVE    2004-11-25 16:08:17.000000000 +0100
+++ ia32entry.S 2004-11-25 16:08:19.000000000 +0100
@@ -260,7 +260,7 @@
         .quad sys32_module_warning      /* init_module */
         .quad sys32_module_warning      /* delete module */
         .quad sys32_module_warning      /* 130  get_kernel_syms */
-       .quad ni_syscall        /* quotactl */
+       .quad sys_quotactl      /* quotactl */
         .quad sys_getpgid
         .quad sys_fchdir
         .quad ni_syscall        /* bdflush */

Comment 1 Red Hat Bugzilla 2007-03-18 22:26:42 UTC
User jparadis@redhat.com's account has been closed

Comment 2 RHEL Product and Program Management 2007-10-19 19:13:01 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.